%define qt_ver_major 3
%define qtdir %_libdir/qt%qt_ver_major
%define kdedir %(kde-config --prefix)

Name: kxmleditor
Version: 1.1.4
Release: alt1

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Group: Development/Other
Summary: KXML Editor for KDE 3.x
Summary(ru_RU.KOI8-R):  XML   KDE 3.x
License: GPL
Url: http://kxmleditor.sourceforge.net

Source: %name-%version.tar.gz

%define desktop_file_utils_ver 0.8
Requires(post,postun): desktop-file-utils >= %desktop_file_utils_ver

BuildPreReq: menu-devel
BuildPreReq: desktop-file-utils >= %desktop_file_utils_ver

# Automatically added by buildreq on Thu Apr 15 2004
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer xml-utils zlib-devel

%description
KXML Editor is a program that lets you browse and edit XML files.

%description -l ru_RU.KOI8-R
KXML Editor      XML . 

%prep
%setup -q
%__subst 's,\.la\>,.so,' configure
%__subst 's,\$(kde_appsdir)/Applications,\$(datadir)/applications,' %name/Makefile.in

%build
export KDEDIR=%kdedir
export QTDIR=%qtdir

%configure \
	--disable-rpath \
	--enable-shared \
	--disable-static \
	--with-qt-dir=%qtdir \
	--with-xinerama \
	--program-prefix=""

%make_build

%install
%make DESTDIR=%buildroot install 

# menu
%__mkdir_p %buildroot/%_menudir
freedesktop2menu.pl %name "Applications/Publishing" \
    %buildroot/%_datadir/applications/%name.desktop \
    %buildroot/%_menudir/%name

%__cp %buildroot/%_iconsdir/locolor/16x16/apps/%name.png %buildroot/%_iconsdir

%find_lang --with-kde %name

%post 
%post_ldconfig
%update_menus
%update_desktopdb

%postun 
%postun_ldconfig
%clean_menus
%clean_desktopdb

%files -f %name.lang
%_bindir/%name
%_libdir/*.so*
%_datadir/apps/%name
%_datadir/services/*.desktop
%_iconsdir/*.png
%_iconsdir/*/*/*/*.png
%_datadir/applications/%name.desktop
%_menudir/%name
%doc ChangeLog AUTHORS KXMLEditor.flw README

%changelog
* Mon Jan 17 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.1.4-alt1
- 1.1.4

* Sat Nov 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1.3-alt1
- 1.1.3

* Thu Apr 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Sat Jan 03 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.1-alt1
- 0.9.1

* Mon Dec 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.5-alt1
- 0.8.5

* Fri Sep 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt2
- updated buildreqs.

* Wed May 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt1
- 0.8.1

* Fri Oct 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt0.2.beta
- Rebuild with new QT3/KDE3 

* Fri Sep 20 2002 Sergey V Turchin <zerg@altlinux.ru> 0.8-alt0.1.beta
- new version
- rebuild with gcc.3.2

* Tue May 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.2-alt2
- BuildConflicts on libqt2-devel <= 2.3.1-alt10
- rebuild 

* Sat May 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.2-alt1
- First KDE3 version. 

* Mon Jan 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.1-alt3
- cleanups

* Tue Dec 4 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.7.1-alt2
- Menu, russian summary and description added.

* Fri Nov 30 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.7.1-alt1
- first build for Sisyphus
